# User

## Revoke all tokens for a user

> Revokes all tokens associated with the specified user ID

```json
{"openapi":"3.0.0","info":{"title":"toolregistry.ai API","version":"1.0"},"servers":[{"url":"https://api.toolregistry.ai"}],"security":[{}],"paths":{"/v1/users/{userId}/revoke-all":{"post":{"description":"Revokes all tokens associated with the specified user ID","operationId":"UserController_revokeAll","parameters":[{"name":"userId","required":true,"in":"path","description":"The user ID whose tokens will be revoked","schema":{"type":"string"}}],"responses":{"201":{"description":"Users tokens revoke triggered"},"401":{"description":"Unauthorized - invalid API key"}},"summary":"Revoke all tokens for a user","tags":["User"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toolregistry.ai/api-documentation/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
